Commits

Anonymous committed 725efc6

Split run.sh off from make.sh and improve make.sh a bit.

Comments (0)

Files changed (2)

 #!/bin/sh
+if [ -z $1 ]; then
+    TARGET='joystick'
+else
+    TARGET=$1
+fi
 mkdir -p bin
-ophis src/$1.oph -o bin/$1.bin || exit 1
-stella bin/$1.bin
+ophis src/$TARGET.oph -o bin/$TARGET.bin || exit $?
+#!/bin/sh
+if [ -z $1 ]; then
+    TARGET='joystick'
+else
+    TARGET=$1
+fi
+./make.sh $TARGET || exit $?
+stella bin/$TARGET.bin
Tip: Filter by directory path e.g. /media app.js to search for public/media/app.js.
Tip: Use camelCasing e.g. ProjME to search for ProjectModifiedEvent.java.
Tip: Filter by extension type e.g. /repo .js to search for all .js files in the /repo directory.
Tip: Separate your search with spaces e.g. /ssh pom.xml to search for src/ssh/pom.xml.
Tip: Use ↑ and ↓ arrow keys to navigate and return to view the file.
Tip: You can also navigate files with Ctrl+j (next) and Ctrl+k (previous) and view the file with Ctrl+o.
Tip: You can also navigate files with Alt+j (next) and Alt+k (previous) and view the file with Alt+o.